mixin report-form(data)
    form.report-form.report-form_edit
        for item, index in data
            .report-form__header
                h2.report-form__title=item.title
                if item.type == 'body'
                    .report-form__switch.btn.btn_s.btn_default
                        .btn__title Схема|Список
            .report-form__body
                for group, index in item.groups
                    - groupN = index + 1
                    .report-group
                        if group.title
                            .report-group__header
                                h3.report-group__title=group.title
                        .report-group__body
                            if group.scheme
                                .car-scheme
                                    img.car-scheme__img(src=group.scheme)
                                    for fieldd, index in group.fields
                                        - fieldNN = index + 1
                                        if item.type == 'body'
                                            .car-scheme__area(data-id=fieldNN style="top: "+fieldd.top+"; left: "+fieldd.left+";")
                                                .car-scheme__marker
                            for field, index in group.fields
                                - fieldN = index + 1
                                - radioName = 'radio' + groupN + fieldN
                                - rangeName = 'range' + groupN + fieldN
                                if field.type == "diagnosis"
                                    - fieldMod = 'report-field_diagnosis'
                                else
                                    - fieldMod = 'report-field_info'
                                .report-field(data-id=fieldN class=fieldMod)
                                    .report-field__header
                                        h5.report-field__title= field.title
                                        if field.type == "diagnosis"
                                            .report-field__controls
                                                label.check.check_binary.check_binary_fail
                                                    input(type="radio" name=radioName required)
                                                    .check__icon.icon.icon_m.icon_fail.icon_circle
                                                        svg
                                                            use(xlink:href="#icon_close_24")
                                                label.check.check_binary.check_binary_success
                                                    input(type="radio" name=radioName required)
                                                    .check__icon.icon.icon_m.icon_success.icon_circle
                                                        svg
                                                            use(xlink:href="#icon_check_24")
                                    .report-field__body
                                        if field.controls
                                            for control, index in field.controls
                                                if control.negative == true
                                                    - controlMod = 'report-field__control_negative'
                                                else
                                                    - controlMod = 'report-field__control_positive'
                                                if control.type == "check"
                                                    if control.options
                                                        .report-field__control(class=controlMod)
                                                            .list.list_xs
                                                                for option, index in control.options
                                                                    .list__item
                                                                        label.check.check_m.check_default
                                                                            input(type="checkbox")
                                                                            .check__icon
                                                                            .check__title=option.title
                                                if control.type == "radio"
                                                    if control.options
                                                        .report-field__control(class=controlMod)
                                                            .list.list_xs
                                                                for option, index in control.options
                                                                    .list__item
                                                                        label.check.check_m.check_default
                                                                            input(type="radio")
                                                                            .check__icon
                                                                            .check__title=option.title
                                                if control.type == "input"
                                                    .report-field__control.field(class=controlMod)
                                                        .field__control.control.control_default.control_m
                                                            input(type="text")
                                                if control.type == "select"
                                                    if control.options
                                                        .report-field__control.field(class=controlMod)
                                                            .field__control.control.control_default.control_m.control_select
                                                                select
                                                                    for option, index in control.options
                                                                        option=option.title
                                                if control.type == "gallery"
                                                    .report-field__control(class=controlMod)
                                                        .btn.btn_primary.btn_m
                                                            .btn__title Загрузить изображения
                                                if control.type == "range"
                                                    .report-field__control.nouislider_test(class=controlMod)
                                                        div(id=rangeName)
                                                        script.
                                                            $(document).ready(function () {
                                                                const #{rangeName} = document.getElementById("#{rangeName}");
                                                                noUiSlider.create(#{rangeName}, {
                                                                    start: 0,
                                                                    range: {
                                                                        min: 0,
                                                                        max: 100
                                                                    },
                                                                    pips: {
                                                                        mode: 'positions',
                                                                        density: 25,
                                                                        values: [0, 25, 50, 75, 100],
                                                                    }
                                                                });
                                                            });
                                        if field.type == "diagnosis"
                                            .report-field__control.report-field__control_negative.field
                                                .field__control.control.control_default.control_m
                                                    textarea.report-field__comment
                                        if item.type == 'body'
                                            .report-field__btn-save.btn.btn_primary.btn_s
                                                .btn__title Сохранить
    script.
        $(document).ready(function () {
            var totalCount = $('.report-field').length;
            const reportProgressBar = $('.js-report-edit .progress__mask');
            var reportProgressLength = 0;
            reportProgressCalc = function () {
                reportProgressLength = $('input[name*="radio"]:checked').length;
                reportProgressBar.css("transform", "translateX(" + 100 / totalCount * reportProgressLength + '%' + ")");
            };
            console.log(totalCount);
            reportProgressCalc();

            autosize($('.report-field__body textarea'));
            $('.car-scheme__area').on('click', function () {
                var idd = $(this).attr('data-id');
                var stylevalue = $(this).attr('style');
                $('.report-field').attr('style', '').hide();
                $('.report-field[data-id="' + idd + '"]').attr('style', stylevalue).show();
            });
            $('.car-scheme__img').on('click', function () {
                $('.report-field').attr('style', '').hide();
            });

            $('.check_binary').on('click', function () {
                reportProgressCalc();
                var that = $(this).closest('.report-field');
                var id = 0;
                id = that.attr('data-id');
                $(this).parents('.report-field').addClass('report-field_active');
                if ($(this).hasClass('check_binary_fail')) {
                    $(this).parents('.report-field').removeClass('report-field_positive').addClass('report-field_negative').find('.report-field__comment').attr('required', '');
                    // $(this).parents('.report-field__item').find('textarea').show().focus().attr('required', '');
                    if (id != 0) {
                        $('.car-scheme__area[data-id="' + id + '"] .car-scheme__marker').addClass('car-scheme__marker_negative').removeClass('car-scheme__marker_positive');
                    }
                }
                else {
                    $(this).parents('.report-field').removeClass('report-field_negative').addClass('report-field_positive').find('.report-field__comment').removeAttr('required');
                    if (id != 0) {

                        $('.car-scheme__area[data-id="' + id + '"] .car-scheme__marker').removeClass('car-scheme__marker_negative').addClass('car-scheme__marker_positive');
                    }
                }
            });
        });
